body {
  font-family: 'Segoe UI', sans-serif;
  margin: 0;
  background: #f4f4f4;
  color: #333;
}


h1, h2 {
  font-family: 'Playfair Display', serif;
}

header {
  background: #111;
  color: white;
  padding: 15px 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

a {
  color: white;
  margin-left: 20px;
  text-decoration: none;
  transition: 0.3s;
}
nav a {
  color: white;
  margin-left: 20px;
  text-decoration: none;
  transition: 0.3s;
}

nav a:hover {
  color: gold;
}

/* HERO */
.hero {
  background: url('https://images.unsplash.com/photo-1503341455253-b2e723bb3dbb') no-repeat center/cover;
  height: 90vh;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  text-align: center;
}

.hero-content {
  background: rgba(0,0,0,0.6);
  padding: 40px;
  border-radius: 10px;
}

.btn {
  display: inline-block;
  margin-top: 20px;
  padding: 12px 25px;
  background: gold;
  color: black;
  text-decoration: none;
  transition: 0.3s;
  border-radius: 10px;
}

.btn:hover {
  background: black;
  color: gold;
}

/* SERVICES */
.services {
  padding: 60px 20px;
  text-align: center;
}

.cards {
  display: flex;
  gap: 20px;
  justify-content: center;
  flex-wrap: wrap;
}

.card {
  background: white;
  padding: 20px;
  width: 250px;
  border-radius: 10px;
  transition: transform 0.3s;
}

.card:hover {
  transform: translateY(-10px);
}

/* PORTFOLIO */
.portfolio {
  padding: 60px 20px;
  text-align: center;
}

.gallery {
  display: flex;
  gap: 15px;
  justify-content: center;
  flex-wrap: wrap;
}

.gallery img {
  width: 300px;
  border-radius: 10px;
  transition: 0.3s;
}

.gallery img:hover {
  transform: scale(1.05);
}

/* ABOUT */
.about {
  padding: 60px 20px;
  text-align: center;
  max-width: 700px;
  margin: auto;
}

/* CONTACT */
.contact {
  padding: 60px 20px;
  text-align: center;
}

form {
  max-width: 400px;
  margin: auto;
}

input, textarea {
  width: 100%;
  margin: 10px 0;
  padding: 12px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

button {
  padding: 12px;
  background: black;
  color: white;
  border: none;
  cursor: pointer;
  transition: 0.3s;
  border-radius: 8px;
}

button:hover {
  background: gold;
  color: black;
}

footer {
  text-align: center;
  padding: 20px;
  background: #111;
  color: white;
}